Resent-Date: Sun, 22 Nov 1998 21:45:30 +0100 (MET)
Date: Sun, 22 Nov 1998 20:45:21 GMT
From: Jesper Skov <jskov@cygnus.co.uk>
To: linux-m68k@lists.linux-m68k.org
Subject: Minor nits
Resent-From: linux-m68k@phil.uni-sb.de

Hi

A few missing include statements, a missing external decl (which I
might have sent before) and drivers/char/Makefile handling of both
Amiga m68k & PPC.

Jesper



diff -u --recursive -B --exclude-from=/home/jskov/lib/diff-excludes -P /home/jskov/kernel/dist/linux-2.1.127/drivers/block/gayle.c ./drivers/block/gayle.c
--- /home/jskov/kernel/dist/linux-2.1.127/drivers/block/gayle.c	Thu Jun  4 19:25:15 1998
+++ ./drivers/block/gayle.c	Sat Nov 21 17:57:52 1998
@@ -19,6 +19,7 @@
 
 #include <asm/amigahw.h>
 #include <asm/amigaints.h>
+#include <asm/setup.h>
 
 
     /*
diff -u --recursive -B --exclude-from=/home/jskov/lib/diff-excludes -P /home/jskov/kernel/dist/linux-2.1.127/drivers/block/ide.c ./drivers/block/ide.c
--- /home/jskov/kernel/dist/linux-2.1.127/drivers/block/ide.c	Thu Nov 12 17:33:58 1998
+++ ./drivers/block/ide.c	Thu Nov 12 17:37:51 1998
@@ -2383,6 +2385,8 @@
 
 #ifdef CONFIG_BLK_DEV_IDEDOUBLER
 	if (!strcmp(s, "ide=doubler")) {
+		extern int ide_doubler;
+
 		printk("ide: Enabled support for IDE doublers\n");
 		ide_doubler = 1;
 		return;
diff -u --recursive -B --exclude-from=/home/jskov/lib/diff-excludes -P /home/jskov/kernel/dist/linux-2.1.127/drivers/char/Makefile ./drivers/char/Makefile
--- /home/jskov/kernel/dist/linux-2.1.127/drivers/char/Makefile	Thu Nov 12 17:33:59 1998
+++ ./drivers/char/Makefile	Sun Nov 22 15:14:14 1998
@@ -138,7 +138,15 @@
 S = y
 endif
 
+ifeq ($(CONFIG_APUS),y)
+A = y
+endif
+
 ifeq ($(ARCH),m68k)
+A = y
+endif
+
+ifeq ($(A),y)
 
 ifdef CONFIG_USERIAL
 S = y
diff -u --recursive -B --exclude-from=/home/jskov/lib/diff-excludes -P /home/jskov/kernel/dist/linux-2.1.127/drivers/char/ioext.h ./drivers/char/ioext.h
--- /home/jskov/kernel/dist/linux-2.1.127/drivers/char/ioext.h	Thu Aug  6 19:14:32 1998
+++ ./drivers/char/ioext.h	Sun Nov 22 15:16:42 1998
@@ -9,6 +9,7 @@
 #include <linux/config.h>
 #include <linux/lp_m68k.h>
 #include <linux/netdevice.h>
+#include <linux/16c552.h>
 
 #if 0
 #include "ser_ioext.h"
diff -u --recursive -B --exclude-from=/home/jskov/lib/diff-excludes -P /home/jskov/kernel/dist/linux-2.1.127/drivers/net/ariadne2.c ./drivers/net/ariadne2.c
--- /home/jskov/kernel/dist/linux-2.1.127/drivers/net/ariadne2.c	Thu Nov 12 17:34:05 1998
+++ ./drivers/net/ariadne2.c	Sat Nov 21 09:41:36 1998
@@ -33,6 +33,7 @@
 #include <asm/io.h>
 #include <asm/irq.h>
 #include <asm/amigaints.h>
+#include <asm/amigahw.h>
 
 #include "8390.h"
 
diff -u --recursive -B --exclude-from=/home/jskov/lib/diff-excludes -P /home/jskov/kernel/dist/linux-2.1.127/drivers/scsi/amiga7xx.c ./drivers/scsi/amiga7xx.c
--- /home/jskov/kernel/dist/linux-2.1.127/drivers/scsi/amiga7xx.c	Sat Aug 29 09:21:34 1998
+++ ./drivers/scsi/amiga7xx.c	Thu Nov 12 20:35:03 1998
@@ -15,6 +15,7 @@
 #include <linux/config.h>
 #include <linux/zorro.h>
 
+#include <asm/setup.h>
 #include <asm/page.h>
 #include <asm/pgtable.h>
 #include <asm/amigaints.h>

